Package org.apache.sling.distribution.queue

## Enum DistributionQueueState

- java.lang.Object
- - java.lang.Enum<DistributionQueueState>
  - - org.apache.sling.distribution.queue.DistributionQueueState

All Implemented Interfaces:
  `Serializable`, `Comparable<DistributionQueueState>`

    public enum DistributionQueueState
    extends Enum<DistributionQueueState>

The state of a distribution queue.

### Enum Constant Summary

Enum Constants
`BLOCKED` The queue is active, there are items in the queue but it cannot process them.
`IDLE` The queue is active but empty
`PASSIVE` The queue is passive as it only stores items not process them
`PAUSED` The queue is active but processing has been stopped temporarily
`RUNNING` The queue is active and there are items in it and it is not blocked.

### Method Summary

All Methods Static Methods Concrete Methods
`static DistributionQueueState` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DistributionQueueState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PAUSED

    public static final DistributionQueueState PAUSED

The queue is active but processing has been stopped temporarily

#### IDLE

    public static final DistributionQueueState IDLE

The queue is active but empty

#### RUNNING

    public static final DistributionQueueState RUNNING

The queue is active and there are items in it and it is not blocked.

#### BLOCKED

    public static final DistributionQueueState BLOCKED

The queue is active, there are items in the queue but it cannot process them.

#### PASSIVE

    public static final DistributionQueueState PASSIVE

The queue is passive as it only stores items not process them

### Method Detail

#### values

    public static DistributionQueueState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DistributionQueueState c : DistributionQueueState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DistributionQueueState valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null